<template>
  <v-chip small :color="colors[status]" class="white--text">
    {{ $t(status.toString()) }}
  </v-chip>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import { OfferStatusEnum } from '@/api/patch/ledius-token.enums';

@Component({})
export default class OfferStatus extends Vue {
  @Prop({
    required: true,
    type: Number
  })
  private readonly status!: OfferStatusEnum;

  private get colors(): string[] {
    return [
      this.$vuetify.theme.currentTheme.primary?.toString() || '',
      '#9f0f0f',
      '#23750a',
      '#000000'
    ];
  }
}
</script>

<style scoped></style>

<i18n>
{
  "ru": {
    "0": "Открыт",
    "1": "Зарезервирован",
    "2": "Исполнен",
    "3": "Закрыт"
  },
  "en": {
    "0": "Opened",
    "1": "Reserved",
    "2": "Executed",
    "3": "Closed"
  }
}
</i18n>
